import './array.prototype.d.ts';
import './date.prototype.d.ts';
import './string.prototype.d.ts';
// 导入资源文件
import { createApp } from 'vue'
import App from './App.vue'
import router from "./router";
import {setupStore} from "@/store";
import {setupCustomComponents} from "@/plugins/customComponents";
import {vantLocales} from './lang'
// 2. 引入组件样式
import 'vant/lib/index.css';
import 'vant/es/toast/style'

const app = createApp(App)

// app.use(i18n)


app.use(router)

app.mount('#app')

setupStore(app)

// vant-ui组件国际化
vantLocales(app)

setupCustomComponents(app)
